Package org.kapott.hbci.sepa.jaxb.pain_002_001_03

## Class RestrictedFinancialIdentificationSEPA

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_03.RestrictedFinancialIdentificationSEPA

    public class RestrictedFinancialIdentificationSEPA
    extends java.lang.Object

Java class for RestrictedFinancialIdentificationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RestrictedFinancialIdentificationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}RestrictedSMNDACode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected RestrictedSMNDACode` `id`

### Constructor Summary

Constructors
`RestrictedFinancialIdentificationSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RestrictedSMNDACode` `getId()` Gets the value of the id property.
`void` `setId​(RestrictedSMNDACode value)` Sets the value of the id property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected RestrictedSMNDACode id

### Constructor Detail

#### RestrictedFinancialIdentificationSEPA

    public RestrictedFinancialIdentificationSEPA()

### Method Detail

#### getId

    public RestrictedSMNDACode getId()

Gets the value of the id property.

Returns:
  possible object is `RestrictedSMNDACode`

#### setId

    public void setId​(RestrictedSMNDACode value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `RestrictedSMNDACode`